package com.mortals.xhx.module.hik.face.model;

import com.mortals.framework.annotation.Excel;
import com.mortals.xhx.module.hik.face.model.vo.FaceGroupVo;

/**
* 人脸分组信息实体对象
*
* @author zxfei
* @date 2023-04-15
*/

public class FaceGroupEntity extends FaceGroupVo {
    private static final long serialVersionUID = 1L;

    /**
    * 名称
    */
    @Excel(name = "名称")
    private String name;
    /**
    * 描述
    */
    @Excel(name = "描述")
    private String description;
    /**
    * 分组唯一标识
    */
    @Excel(name = "分组唯一标识")
    private String indexCode;



    public FaceGroupEntity(){}
    /**
    * 获取 名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 描述
    * @return String
    */
    public String getDescription(){
        return description;
    }
    /**
    * 设置 描述
    * @param description
    */
    public void setDescription(String description){
        this.description = description;
    }
    /**
    * 获取 分组唯一标识
    * @return String
    */
    public String getIndexCode(){
        return indexCode;
    }
    /**
    * 设置 分组唯一标识
    * @param indexCode
    */
    public void setIndexCode(String indexCode){
        this.indexCode = indexCode;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof FaceGroupEntity) {
            FaceGroupEntity tmp = (FaceGroupEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",name:").append(getName());
        sb.append(",description:").append(getDescription());
        sb.append(",indexCode:").append(getIndexCode());
        return sb.toString();
    }

    public void initAttrValue(){

            this.name = "";

            this.description = "";

            this.indexCode = "";
    }
}